> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. ミューテーション: ゾーンマップをZIP圧縮されたシェープファイルとしてエクスポート

選択した「ZonesMap」をシェープファイルとして含む ZIP アーカイブを生成します。

{% hint style="info" %}
アーカイブには、EPSG:4326 の \*.shp、\*.shx、\*.prj、\*.dbf ファイルが含まれます。
{% endhint %}

### 1. 準備

* 属性 `vectorAnalysisMaps` には、エクスポートする ZonesMaps（VectorAnalysisMaps）オブジェクトの配列が含まれます。各オブジェクトには、次の2つの値が含まれます。 `fieldUuid` （選択した圃場への紐付け）と `uuid` （選択した ZonesMap への紐付け）です。
* ブール属性 `asMultiGeometry` は、ゾーンを `Polygons` としてエクスポートするか、 `MultiPolygons` としてエクスポートするかを指定します（ `true` ).
* ブール属性 `onlyProductColumns` は、プロダクト（RX）のある列のみをシェープファイルに含めるかどうかを指定します（ `true`の場合）。それ以外の場合は、すべての統計属性とゾーン ID が列として含まれます。
* 属性 `archiveName` には、生成される ZIP アーカイブの名前を指定します。
* 属性 `filePostfix` を使用すると、エクスポートするファイルとアーカイブに任意の接尾辞を追加できます。

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. 生成したアーカイブをダウンロードする

GraphQL クエリの実行後、 `curl` または同様の方法でダウンロードできます。

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
